%define	basefontdir	%{_datadir}/fonts/chinese
%define	ttfontdir	%{basefontdir}/TrueType
%define cidmapdir   %{_sysconfdir}/ghostscript

Summary:    Chinese TrueType Font -- Simplified and Traditional Chinese Ming and Kai Face.
Name:		fonts-chinese
Version:	2.15
Release:    2
License:	Arphic Public License (GPL-like)
Group:		User Interface/X
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Source:		ftp://cle.linux.org.tw/pub/fonts/arphic/font/bsmi00lp.ttf
Source1:	ftp://cle.linux.org.tw/pub/fonts/arphic/font/bkai00mp.ttf
Source2:	ftp://cle.linux.org.tw/pub/fonts/arphic/font/gbsn00lp.ttf
Source3:	ftp://cle.linux.org.tw/pub/fonts/arphic/font/gkai00mp.ttf
Source10:	arphicpl.txt
Source11:	arphicpl-big5.txt
Source12:	arphicpl-gb.txt
Source13:	arphic-release.txt
Source20:	CIDFnmap.zh_TW
Source21:	CIDFnmap.zh_CN

Requires(post,postun): ttmkfdir >= 3.0.6
Requires(post,postun): /usr/X11R6/bin/mkfontdir /usr/sbin/chkfontpath
Requires(post,postun): fontconfig
Obsoletes:	ttfonts-zh_CN ttfonts-zh_TW ttf-moe_sung ttf-moe_kai ttf-arphic_bming ttf-arphic_bkai

%description
Chinese TTF Fonts donated by Arphic company. Read license files for details.

%prep

%build
mkdir -p %{name}-%{version}/doc

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{ttfontdir}
install -m 0644 %{SOURCE0} $RPM_BUILD_ROOT%{ttfontdir}/
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{ttfontdir}/
install -m 0644 %{SOURCE2} $RPM_BUILD_ROOT%{ttfontdir}/
install -m 0644 %{SOURCE3} $RPM_BUILD_ROOT%{ttfontdir}/

# for ghostscript
install -d $RPM_BUILD_ROOT%{cidmapdir}/
install -m 0644 %{SOURCE20} $RPM_BUILD_ROOT%{cidmapdir}/
install -m 0644 %{SOURCE21} $RPM_BUILD_ROOT%{cidmapdir}/

cp %{SOURCE10} %{SOURCE11} %{SOURCE12} $RPM_BUILD_DIR/%{name}-%{version}/doc/
cp %{SOURCE13} $RPM_BUILD_DIR/%{name}-%{version}/doc/release.txt

# for dummy
touch $RPM_BUILD_ROOT%{basefontdir}/fonts.cache-1
touch $RPM_BUILD_ROOT%{ttfontdir}/fonts.cache-1
touch $RPM_BUILD_ROOT%{ttfontdir}/fonts.dir
touch $RPM_BUILD_ROOT%{ttfontdir}/fonts.scale

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
{
	umask 133
	touch %{ttfontdir} 2> /dev/null && {
		/usr/bin/ttmkfdir -d %{ttfontdir} -o %{ttfontdir}/fonts.scale
		/usr/X11R6/bin/mkfontdir %{ttfontdir}
		/usr/sbin/chkfontpath -q -a %{ttfontdir}
	}

	#Update fontconfig cache
	[  -x /usr/bin/fc-cache ] && /usr/bin/fc-cache 2> /dev/null
}

%postun
if [ "$1" = 0 ];
then
    umask 133
    /usr/sbin/chkfontpath -q -r %{ttfontdir}

    #Update fontconfig cache
    [ -x /usr/bin/fc-cache ] && /usr/bin/fc-cache 2> /dev/null
fi

%files
%defattr(-, root, root)
%doc $RPM_BUILD_DIR/%{name}-%{version}/doc/
%dir %{basefontdir}
%dir %{ttfontdir}
%dir %{cidmapdir}
%{ttfontdir}
%ghost %verify(not md5 size mtime) %{basefontdir}/fonts.cache-1
%ghost %verify(not md5 size mtime) %{ttfontdir}/fonts.cache-1
%ghost %verify(not md5 size mtime) %{ttfontdir}/fonts.dir
%ghost %verify(not md5 size mtime) %{ttfontdir}/fonts.scale
%{cidmapdir}/CIDFnmap.zh_TW
%{cidmapdir}/CIDFnmap.zh_CN

%changelog
* Wed Apr 20 2005 Akira TAGOH <tagoh@redhat.com> - 2.15-2
- Updated the font path in CIDFnmap.{zh_CN,zh_TW} (John Thacker, #155404)

* Thu Feb 24 2004 Leon Ho <llch@redhat.com>
- merge from ttfonts-zh_CN and ttfonts-zh_TW
